"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const build_kit_1 = require("@genesislcap/build-kit");
const getOptions = (options) => {
    // param exclusion list needs to be updated if init/add options change
    const params = (0, build_kit_1.excludeObjKeys)(options, [
        'seed',
        's',
        'insecure',
        'skipOptionalPrompts',
        'x',
        'logLevel',
        'l',
        'npm',
        'remote',
        'shell',
        'scope',
        'subdir',
        'ref',
        '--',
    ]);
    return {
        params,
        insecure: options.insecure,
        seed: options.seed,
        subdir: options.subdir,
        remote: options.remote,
        ref: options.ref,
        shell: options.shell,
        isLogLevelVerbose: options.logLevel === 'verbose',
        skipOptionalPrompts: options.skipOptionalPrompts,
        npm: options.npm,
        scope: options.scope,
    };
};
exports.default = (dir, cliOptions, command = build_kit_1.COMMAND.INIT) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    const options = getOptions(cliOptions);
    yield (0, build_kit_1.runSeedCommand)(dir, options, command);
});
